verbatimTextOutput {shiny} | R Documentation

## Create a verbatim text output element

### Description

Render a reactive output variable as verbatim text within an application page. The text will be included within an HTML `pre` tag.

### Usage

    verbatimTextOutput(outputId)

### Arguments

`outputId` | output variable to read the value from

### Details

Text is HTML-escaped prior to rendering. This element is often used with the renderPrint function to preserve fixed-width formatting of printed objects.

### Value

A verbatim text output element that can be included in a panel

### Examples

    mainPanel(
      h4("Summary"),
      verbatimTextOutput("summary"),

      h4("Observations"),
      tableOutput("view")
    )

[Package shiny version 0.13.2 Index]